
Redmine - Defect #8564

Git: `git mv file file2` shows up as delete + add instead of rename

2011-06-08 14:18 - Ве Fio

Status: Closed Start date: 2011-06-08

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: SCM Estimated time: 0.00 hour

Target version:    

Resolution: Wont fix Affected version:  

Description

When you use `git mv file file2`, and click the revision in Redmine, it shows as a delete + add instead of a rename as it should. Git

shows it properly as a rename if I check it.

Using Redmine trunk r6007

Related issues:

Related to Redmine - Defect #4547: git: Very high CPU usage for a long time w... Closed 2010-01-11

History

#1 - 2011-06-08 14:30 - Toshi MARUYAMA

- Status changed from New to Closed

- Resolution set to Wont fix

Git does not treat rename.

Please see #4547 and r3468.

#2 - 2011-06-08 14:31 - Toshi MARUYAMA

- Category set to SCM

#3 - 2011-09-09 10:44 - Ве Fio

How about --find-copies? From reading the documentation, it did say that --find-copies-harder is expensive, but it didn't say that about --find-copies.
https://www.redmine.org/projects/redmine/repository/svn/revisions/6007
https://www.redmine.org/issues/4547
https://www.redmine.org/projects/redmine/repository/svn/revisions/3468
http://www.tcpdf.org

